petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatPartitioningRegisterAll

Registers all of the matrix Partitioning routines in PETSc.

### Synopsis

    PetscErrorCode  MatPartitioningRegisterAll(void)

Not Collective

### Adding new methods

To add a new method to the registry. Copy this routine and modify it to incorporate a call to MatPartitioningRegister() for the new method, after the current list.

Restricting the choices: To prevent all of the methods from being registered and thus save memory, copy this routine and modify it to register a zero, instead of the function name, for those methods you do not wish to register. Make sure that the replacement routine is linked before libpetscmat.a.

### See Also

MatPartitioningRegister(), MatPartitioningRegisterDestroy()

### Level

developer

### Location

src/mat/partition/spartition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages